Package org.apache.aries.jax.rs.rest.management.internal

## Class FrameworkResource

- java.lang.Object
- - org.apache.aries.jax.rs.rest.management.internal.BaseResource
  - - org.apache.aries.jax.rs.rest.management.internal.FrameworkResource

    public class FrameworkResource
    extends BaseResource

### Constructor Summary

Constructors
`FrameworkResource​(org.osgi.framework.BundleContext bundleContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.ws.rs.core.Response` `framework​(String ext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FrameworkResource

    public FrameworkResource​(org.osgi.framework.BundleContext bundleContext)

### Method Detail

#### framework

    @GET
    @Path("framework{ext: (\\.json|\\.xml)*}")
    @Produces({"application/org.osgi.bundle+json","application/org.osgi.bundle+xml"})
    public javax.ws.rs.core.Response framework​(@PathParam("ext")
                                               String ext)